/* 
    HERO
*/
.rota-page--hero {
    position: relative;
    display: flex;
    width: 100%;
    min-height: 85vh;
    padding: 1rem;
}
@media screen and (min-width: 1024px) {
    .rota-page--hero {
        padding: 5rem;
    }
}

.rota-page--hero.hero-level1 {
    background-color: var(--c-brown);
}

.rota-page--hero.hero-level2 {
    background-color: var(--c-red);
}

.rota-page--hero.hero-level3 {
    background-color: var(--c-yellow);
}

/* Link */
.rota-page--back {
    position: absolute;
    top: 1rem;
    left: 1rem;
}
@media screen and (min-width: 1024px) {
    .rota-page--back {
        top: 2rem;
        left: 2rem;
    }
}

.rota-page--back img {
    height: 1.5rem;
}

/* Title */
.rota-page--title {
    margin: auto;
}


/* 
    OFFERS
*/
.rota-page--offers {
    padding: 0 1rem;
    margin-top: 1rem;
}
@media screen and (min-width: 1024px) {
    .rota-page--offers {
        padding: 0;
    }
}

.rota-page--offers li {
    width: 100%;
    grid-column: span 3;
    height: calc(4 * var(--column-m) + 3rem)
}
@media screen and (min-width: 1024px) {
    .rota-page--offers li {
        height: calc(3 * var(--column-d) + 2rem)
    }
}

.rota-page--offers_title {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--c-gray);
}


/* DESCRIPTION */
.rota-page--description {
    padding: 0 1rem;
    margin: 2rem 0;
}

.rota-page--description article {
    grid-column: 1/-1;
}

@media screen and (min-width: 1024px) {
    .rota-page--description {
        margin: 3rem 0 4rem;
    }

    .rota-page--description article {
        grid-column: 3/-3;
    }
}


/* MAP */
.rota-page--map {
    width: 100%;
    min-height: 85vh;
    margin-top: 1rem;
    padding: 0 1rem;
}
@media screen and (min-width: 1024px) {
    .rota-page--map {
        padding: 0;
    }
}

#rotaMap {
    width: 100%;
    height: 85vh;
}